Package org.apache.commons.math3.ml.neuralnet.twod.util

# Class LocationFinder.Location

java.lang.Object
org.apache.commons.math3.ml.neuralnet.twod.util.LocationFinder.Location

Enclosing class:
  `LocationFinder`

public static class LocationFinder.Location extends Object
Container holding a (row, column) pair.

## Constructor Summary

Constructors
Constructor
Description
`Location(int row, int column)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
`int`
`getRow()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Location

public Location(int row, int column)

Parameters:
  `row` - Row index.
  `column` - Column index.

## Method Details

### getRow

public int getRow()

Returns:
  the row index.

### getColumn

public int getColumn()

Returns:
  the column index.